For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POST Search channels
LogoLogo
API ReferenceChannels

Search channels

||View as Markdown|
POST
https://sandbox-api.shipbob.com/Experimental/channel:search
POST
/Experimental/channel:search
$curl -X POST https://sandbox-api.shipbob.com/Experimental/channel:search \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "cursor": "string",
> "records_per_page": 0,
> "search_filters": {
> "channel_ids": [
> 0
> ],
> "channel_names": [
> "string"
> ]
> }
>}'
1{
2 "items": [
3 {
4 "id": 0,
5 "name": "string"
6 }
7 ],
8 "next": "string",
9 "prev": "string",
10 "total_records": 0
11}
Search channels based on filters
Was this page helpful?
Next

Set ExternalSync flag for Wros

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

cursorstringOptional

Next/Previous Cursor

records_per_pageintegerOptional
Records Per Page
search_filtersobjectOptional
Search filters

Response

Success
itemslist of objects
List of channels
nextstring
Next page cursor
prevstring
Previous page cursor
total_recordsinteger
Total records on current page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error